<?php 
require("xn_crypt.php");

function xn_odbc     () { return ( 'database' ) ; }
function xn_username () { return ( 'username' ) ; }
function xn_password () { return ( 'password' ) ; }    

// **********************************************
// **********************************************
$i = xn_trim_decrypt ( file_get_contents ( "php://input" ) ) ;

$a = explode ( chr(255) , $i ) ;

if ( sizeof ( $a ) != 4 )
   { print ( xn_trim_encrypt ( "(invalid number of parameters)" ) ) ;
     exit ;	 
   }

$username = $a[0] ; 
$password = $a[1] ; 
$query    = $a[2] ; 
$command  = $a[3] ; 

// **********************************************
// **********************************************
if ( ( strtolower ( $command ) != 'open' ) and 
     ( strtolower ( $command ) != 'echo' ) )
   { print ( xn_trim_encrypt ( "(invalid command)" ) ) ; 
     exit ; 
   } ;
   
if ( strtolower ( $command ) == 'echo' )
   { print xn_trim_encrypt ( $query ) ; 
     exit ;
   } ;
   
// **********************************************
// **********************************************
$db = odbc_connect ( xn_odbc() , xn_username() , xn_password() , SQL_CUR_USE_DRIVER ) ;

if ( odbc_error() ) 
   { print ( xn_trim_encrypt ( "(" . odbc_errormsg() . ")" ) ) ;
     exit ;   
   } ;

// **********************************************
// **********************************************
$rr = odbc_do ( $db , $query ) ;

if ( odbc_error() ) 
   { print ( xn_trim_encrypt ( "(" . odbc_errormsg() . ")" ) ) ;
     exit ;   
   } ;

// **********************************************
// **********************************************
// sleep ( 3 ) ;

// **********************************************
// **********************************************
if ( strtolower ( $command ) == 'open' )
   { $rows = array() ;
   
     while ( $row = odbc_fetch_array ( $rr ) ) 
           { foreach ( $row as $k=>$v ) 
	                 { $row[$k] = utf8_encode ( $row[$k] ) ;
                     } ;
					 
             $rows[] = $row ;
           } ;
   } ;
      
print xn_trim_encrypt ( json_encode ( $rows ) ) ;
?>